@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

:root{
    --main-color: #080C31;
    --secundary-color: #17173B;
    --alterntive-color: #AF2B38;
    --alternative-color-hover: #e24252;
}

*{
    margin: 0;
    padding: 0;
}

body{
    background-color: var(--main-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 80vh;
}

main{
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px;
    border-radius: 8px;
    color: wheat;
    gap: 15px;
    background-color: var(--secundary-color);
}

main h2{
    font-weight: 500;
    font-family: sans-serif;
    font-weight: bold;
}

#campos{
    display: grid;
    align-items: center;
    justify-content: center;
    font-family: "JetBrains Mono", monospace;
    grid-template-columns: 180px 180px 20px;
    gap: 5px;
}

.campo{
    height: 30px;
    border: none;
    border-radius: 4px;
    padding: 9px;
    font-family: "JetBrains Mono", monospace;
    font-size: 20px;
    color: beige;
    background-color: var(--main-color);
}

#campoNuevo span{
    font-size: 13px;
    font-weight: 500;
    font-family: "JetBrains Mono", monospace;
}

.btn{
    width: 130px;
    height: 40px;
    color: beige;
    background-color: var(--alterntive-color);
    border: none;
    border-radius: 4px;
    font-size: 18px;
    font-weight: 500;
    font-family: "JetBrains Mono", monospace;
    &:hover{
        background-color: var(--alternative-color-hover);
        cursor: pointer;
        color: wheat;
    }

    &:active{
        color: #fff;
        background-color: #be32ec;
    }
}

#campoNuevo{
    width:380px;
    display: flex;
    align-items: center;
    gap: 7px;
    color: #ffbad1;
    &:hover{
        color: #da6aff;
        cursor: pointer;
    }
}

#campos i {
    color: #e2c8c8;
    padding-left: 3px;
    &:hover{
        color: #f8578d;
        cursor: pointer;
    }
}

#nota2{
    grid-column: 1;
}
